## org.gnu.atk
Class RelationSet

    java.lang.Object
      org.gnu.glib.GObject
          org.gnu.atk.RelationSet

public class RelationSet
extends GObject

Field Summary

Fields inherited from class org.gnu.glib.GObject
`eventsInitialized`

Constructor Summary
`RelationSet()` Create a new empty RelationSet

Method Summary
`void` `add(Relation relation)` Add a new relation to the current relation set if it is not already present.
`void` `add(RelationType type, AtkObject target)`
`protected static void` `atk_relation_set_add_relation_by_type(Handle set, int relationship, Handle target)`
`protected static void` `atk_relation_set_add(Handle set, Handle relation)`
`protected static boolean` `atk_relation_set_contains(Handle set, int relationship)`
`protected static int` `atk_relation_set_get_n_relations(Handle set)`
`protected static Handle` `atk_relation_set_get_relation_by_type(Handle set, int relationship)`
`protected static Handle` `atk_relation_set_get_relation(Handle set, int index)`
`protected static int` `atk_relation_set_get_type()`
`protected static Handle` `atk_relation_set_new()`
`protected static void` `atk_relation_set_remove(Handle set, Handle relation)`
`boolean` `contains(RelationType relationship)` Determines whether the relation set contains a relation that matches the specified type.
`int` `getNumRelations()`
`Relation` `getRelation(int index)`
`Relation` `getRelationByType(RelationType type)`
`void` `remove(Relation relation)` Remove a relation from the relation set.

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, equals, freezeNotify, getBooleanProperty, getData, getData, getDoubleProperty, getEventListenerClass, getEventType, getFloatProperty, getGObjectFromHandle, getHandle, getIntFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getNullHandle, getPixbufProperty, getProperty, getStringFromHandle, getStringProperty, hashCode, hasProperty, instantiateJGObjectFromGType, notify, removeEventHandler, removeListener, retrieveGObject, setBooleanProperty, setData, setData, setDoubleProperty, setFloatProperty, setHandle, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RelationSet

    public RelationSet()

  Create a new empty RelationSet

Method Detail

### add

    public void add(Relation relation)

  Add a new relation to the current relation set if it is not already present.

### add

    public void add(RelationType type,
                    AtkObject target)

### remove

    public void remove(Relation relation)

  Remove a relation from the relation set.

### contains

    public boolean contains(RelationType relationship)

  Determines whether the relation set contains a relation that matches the specified type.

### getNumRelations

    public int getNumRelations()

### getRelation

    public Relation getRelation(int index)

### getRelationByType

    public Relation getRelationByType(RelationType type)

### atk_relation_set_get_type

    protected static final int atk_relation_set_get_type()

### atk_relation_set_new

    protected static final Handle atk_relation_set_new()

### atk_relation_set_contains

    protected static final boolean atk_relation_set_contains(Handle set,
                                                             int relationship)

### atk_relation_set_remove

    protected static final void atk_relation_set_remove(Handle set,
                                                        Handle relation)

### atk_relation_set_add

    protected static final void atk_relation_set_add(Handle set,
                                                     Handle relation)

### atk_relation_set_get_n_relations

    protected static final int atk_relation_set_get_n_relations(Handle set)

### atk_relation_set_get_relation

    protected static final Handle atk_relation_set_get_relation(Handle set,
                                                                int index)

### atk_relation_set_get_relation_by_type

    protected static final Handle atk_relation_set_get_relation_by_type(Handle set,
                                                                        int relationship)

### atk_relation_set_add_relation_by_type

    protected static final void atk_relation_set_add_relation_by_type(Handle set,
                                                                      int relationship,
                                                                      Handle target)